{% extends 'base.html' %}

{% block content %}
<h1> Gestion du Cours {{ cours}} </h1> 

<h2>configuration (auto) des étudiants du cours</h2>
créer la liste des étudiants (avec tomuss) puis cliquer sur <b>configuration auto</b>

<div id="loading1"> <b> SVP Attendre la fin du traitement</b> </div>
<div id="content1">
<ul>
	<li>fichier des étudiants (numéro étudiant) inscrits au cours : 
		<div style="text-align:center"><button type="button" style="width:150px">
	        	<a href="https://{{ request.host }}/services/{{ cours }}/edit/validation/etudiants.txt">etudiants.txt</a>
		</button></div>
        </li><br>
	<li>configuration auto du cours (uniquement pour les étudiants inscrits)<a href="{{url_for('config_auto')}}">
			<div style="text-align:center"><button type="button" style="width:150px" onclick="loading1();" >config. auto</button></div>
	</a></li>
	<li>autorisation pour tous les étudiants de l'université (reset): <a href="{{url_for('reset_acl')}}">
			<div style="text-align:center"><button type="button" style="width:150px">reset acl</button></div></a>
	</li>
</ul>
</div>

<h2>sélection du TP</h2>
Selectionnez un des TP de la liste pour faire sa validation et analyser les résultats 
<ul>
{% for TP in TP_list %}
<li><a href="{{ url_for('set_tp',tp = TP) }}">{{ TP }}</a></li>
{% endfor %}
</ul>


<h2>fichiers de configuration des TP</h2>
<ul>
{% for TP in TP_list %}
<li><a href="https://{{ request.host }}/services/{{ cours }}/edit/{{ TP }}.cfg">{{ TP }}.cfg</a> </li>
{% endfor %}
</ul>

<h2>dossiers des TP du cours</h2>
<ul>
{% for TP in TP_list %}
<li><a href="https://{{ request.host }}/services/{{ cours }}/tree/source/{{ TP }}">source/{{ TP }}/</a> </li>
{% endfor %}
</ul>

<h2>gestion (fine) de la liste des étudiants du cours à évaluer</h2>
<div id="loading"> <b> SVP Attendre la fin du traitement</b> </div>
<div id="content">
<ul>
	<li><b>création à partir de liste des étudiants inscrits:</b> <a href="{{url_for('add_etudiants')}}">
			<div style="text-align:center"><button type="button" style="width:150px" onclick="loading();" >liste étudiant</button></div>
		</a></li>
	<li>création à partir de la liste des étudiants ayant soumis au moins un notebook: <a href="{{url_for('list_users')}}">
			<div style="text-align:center"><button type="button" style="width:150px">submitted</button></div>
		</a></li>
	<li>affiche la liste des étudiants dans la base de données nbgrader:<a href="{{url_for('list_db')}}" >
			<div style="text-align:center"><button type="button" style="width:150px">nbgrader</button></div>
		</a></li>
</ul>
</div>

<h2>gestion des droits des étudiants</h2>
<ul>
	<li>autorisation uniquement pour les étudiants inscrits: <a href="{{url_for('set_acl')}}">
			<div style="text-align:center"><button type="button" style="width:150px">set acl</button></div></a>
	</li>
	<li>autorisation pour tous les étudiants: <a href="{{url_for('reset_acl')}}">
			<div style="text-align:center"><button type="button" style="width:150px">reset acl</button></div></a>
	</li>
</ul>

<h2>archivage des validations </h2>
<h3> liste des archives</h3>
<ul>
{% for tar in TAR_list %}
<li><a href="https://{{ request.host }}/services/{{ cours }}/tree/{{ tar }}">{{ tar }}</a> </li>
{% endfor %}
</ul>

<h3>création des archives</h3>
<div id="loading2"> <b> SVP Attendre la fin du traitement</b> </div>
<div id="content">
<ul>
	<li>création d'une archive compressée: <a href="{{url_for('archivage')}}">
			<div style="text-align:center"><button type="button" style="width:150px" onclick="loading2();" >archivage</button></div></a>
	</li>
	<li>purge du cours (attention faire une sauvegarde avant): <a href="{{url_for('purge')}}">
			<div style="text-align:center"><button type="button" style="width:150px" onclick="loading2();" >purge</button></div></a>
	</li>
</ul></div>

<h2>équipe pédagogique</h2>
{% for user in admin %}
<li style="display:inline-block; margin: 0 50 px;">{{ user }}</li>
{% endfor %}

{% endblock %}

{% block scripts %}
<script type="text/javascript">// <![CDATA[
        function loading(){
            $("#loading").show();
            $("#content").hide();
        }
// ]]></script>
<script type="text/javascript">// <![CDATA[
        function loading1(){
            $("#loading1").show();
            $("#content1").hide();
        }
// ]]></script>
<script type="text/javascript">// <![CDATA[
        function loading2(){
            $("#loading2").show();
            $("#content2").hide();
        }
// ]]></script>
{{super()}}
{% endblock %}

